#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	pango
Version		:	1.50.14
Release		:	14.4.0.0%{?dist}
Summary		:	System for layout and rendering of internationalized text
Group		:	System Environment/Libraries

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	LGPLv2+
URL		:	http://ftp.gnome.org/pub/gnome/sources/pango

Source0		:	%{name}-%{version}.tar.xz

#-----------------------------------------------------------------------------
BuildRequires	:	cairo-devel
BuildRequires	:	dejavu-fonts
BuildRequires	:	fontconfig-devel
BuildRequires	:	freetype-devel
BuildRequires	:	fribidi
BuildRequires	:	glib-devel
BuildRequires	:	gobject-introspection
BuildRequires	:	gtk-doc
BuildRequires	:	harfbuzz-devel
BuildRequires	:	help2man
BuildRequires	:	meson
BuildRequires	:	ninja
BuildRequires	:	python3-Pygments
BuildRequires	:	python3-Jinja2
BuildRequires	:	xorg-libXft

#-----------------------------------------------------------------------------
%description
Pango is a library for laying out and rendering of text, with an emphasis
on internationalization. Pango can be used anywhere that text layout is needed,
though most of the work on Pango so far has been done in the context of the
GTK+ widget toolkit. Pango forms the core of text and font handling for GTK+.

Pango is designed to be modular; the core Pango layout engine can be used
with different font backends.

The integration of Pango with Cairo provides a complete solution with high
quality text handling and graphics rendering.

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root, -)
%doc COPYING NEWS README.md
%{_includedir}/%{name}-1.0/%{name}/%{name}*.h
%{_bindir}/%{name}-view
%{_bindir}/%{name}-list
%{_bindir}/%{name}-segmentation
%{_libdir}/lib%{name}-1.0.so*
%{_libdir}/lib%{name}cairo-1.0.so*
%{_libdir}/lib%{name}ft2-1.0.so*
%{_libdir}/lib%{name}xft-1.0.so*
%{_libdir}/pkgconfig/%{name}*.pc
%{_libdir}/girepository-1.0/Pango*.typelib
%{_datadir}/gir-1.0/Pango*.gir
%{_mandir}/man1/*.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

meson							\
	setup						\
	-D gtk_doc=false				\
        --prefix=%{_prefix}				\
	--libdir=%{_libdir}				\
	build

ninja							\
	-C build

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
DESTDIR=%{buildroot}                                    \
        ninja                                           \
        -C build                                        \
        install

#remove test directory, now way to set meson with test to false?
%{__rm} -fr %{buildroot}%{_libexecdir}/installed-tests
%{__rm} -fr %{buildroot}%{_datadir}/installed-tests

#-----------------------------------------------------------------------------
%changelog
